# hmy\_getValidatorMetrics

## Parameters

1. `String` - validator bech32 address.

## Returns

* `NumJailed` - `Number` - big.Int number of times validator was banned due to downtime
* TotalEffectiveStake - Float - total validator effective stake from delegations
* `VotingPowerPerShard` - `[]VotePerShard`:
  * `shard-id` - `Number` - shard id
  * `voting-power` - `Float` - valdator voting power for this shard
* `BLSKeyPerShard` - `[]KeyPerShard:`
  * `shard-id` - `Number` - shard id
  * `keys` - `[]String` - validator bls keys for this shard

**Sample Curl Request**

```bash
curl -d '{
    "jsonrpc":"2.0",
    "method":"hmy_getValidatorMetrics",
    "params":[
      "one103q7qe5t2505lypvltkqtddaef5tzfxwsse4z7"
    ],
    "id":1
}' -H 'Content-Type:application/json' -X POST 'https://api.s0.b.hmny.io'
```

**Sample Curl Response**

```bash
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.harmony.one/home/developers/api/methods/staking-related-methods/hmy_getvalidatormetrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
